Skip to main content
GET
/
api
/
organizations
/
{organizationId}
/
data
/
{dataId}
/
transformation-jobs
Get transformation jobs for data item
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/data/{dataId}/transformation-jobs \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "transformationJobs": [
    {
      "id": 123,
      "transformationJobId": 123,
      "createProjectId": 123,
      "created": "2023-11-07T05:31:56Z",
      "jobId": 123,
      "transformationBlockName": "<string>",
      "jobStarted": "2023-11-07T05:31:56Z",
      "jobFinished": "2023-11-07T05:31:56Z",
      "jobFinishedSuccessful": true,
      "pipelineName": "<string>"
    }
  ],
  "totalTransformationJobCount": 123,
  "error": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.edgeimpulse.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

dataId
integer
required

Data ID

Query Parameters

limit
integer

Maximum number of results

offset
integer

Offset in results, can be used in conjunction with LimitResultsParameter to implement paging.

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

transformationJobs
object[]
required
totalTransformationJobCount
integer
required
error
string

Optional error description (set if 'success' was false)